|
|
@ -82,7 +82,7 @@ top = top.workplane(offset=-2.6).box( |
|
|
|
) |
|
|
|
|
|
|
|
top = top.workplane(offset=-1.7).box( |
|
|
|
box_length - wall_thickness - 0.05, box_width - wall_thickness - 0.05, 1 |
|
|
|
box_length - wall_thickness - 0.05, box_width - wall_thickness - 0.05, 2 |
|
|
|
) |
|
|
|
|
|
|
|
top = ( |
|
|
@ -93,7 +93,7 @@ top = ( |
|
|
|
forConstruction=True, |
|
|
|
) |
|
|
|
.vertices() |
|
|
|
.cboreHole(2.9, 3.5, 4.1) |
|
|
|
.cboreHole(2.4, 4.2, 2.1) |
|
|
|
) |
|
|
|
|
|
|
|
speaker_length = ( |
|
|
@ -120,10 +120,10 @@ top = ( |
|
|
|
.cylinder(5, speaker_width / 2.0, combine="cut") |
|
|
|
) |
|
|
|
|
|
|
|
top = top.workplane(offset=1).box(10, 20.8, 3.0, combine="cut") |
|
|
|
top = top.workplane(offset=2).box(10, 20.8, 5.0, combine="cut") |
|
|
|
|
|
|
|
top = ( |
|
|
|
top.workplane(offset=1).move(10.5 / 2.0, 0).cylinder(3.0, 20.8 / 2.0, combine="cut") |
|
|
|
top.workplane(offset=2).move(10.5 / 2.0, 0).cylinder(5.0, 20.8 / 2.0, combine="cut") |
|
|
|
) |
|
|
|
|
|
|
|
top = ( |
|
|
|